CREATE TABLE irc_message_detail_logs (
    MESSAGE_DETAIL_LOGS_ID    NUMBER(18, 0) ,
    MESSAGE_TRACKING_ID       NUMBER(18, 0)     NOT NULL,
    MESSAGE_IDENTIFIER        VARCHAR2(1600),
    MESSAGE_SUBJECT           CLOB          ,
    MESSAGE_CONTENT           CLOB              NOT NULL,
    MESSAGE_API_REQUEST       CLOB          ,
    MESSAGE_API_RESPONSE      CLOB          ,
    ERROR                     CLOB          ,
    ADDITIONAL_DETAILS        VARCHAR2(4000),
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    MESSAGE_DETAIL_LOGS_ID    NUMBER(18, 0) ,
    MESSAGE_TRACKING_ID       NUMBER(18, 0)     NOT NULL,
    MESSAGE_IDENTIFIER        VARCHAR2(1600),
    MESSAGE_SUBJECT           CLOB          ,
    MESSAGE_CONTENT           CLOB              NOT NULL,
    MESSAGE_API_REQUEST       CLOB          ,
    MESSAGE_API_RESPONSE      CLOB          ,
    ERROR                     CLOB          ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ADDITIONAL_DETAILS        VARCHAR2(4000),
    CONSTRAINT pk_irc_message_detail_logs PRIMARY KEY (MESSAGE_DETAIL_LOGS_ID, MESSAGE_DETAIL_LOGS_ID)
);
